import { log } from '@/logger/index.ts';
import dotenv from 'dotenv';
import path from 'path';
import { isDev } from './config.ts';
export { isDev };
const configPath = isDev ? '.env.alipay.dev' : '.env.alipay';

const env = dotenv.config({
  path: path.resolve(process.cwd(), configPath),
}).parsed;

const appId = env.ALIPAY_APP_ID;
const privateKey = env.ALIPAY_PRIVATE_KEY;
const appPublicCert = env.ALIPAY_APP_PUBLIC_CERT;
const alipayRootCert = env.ALIPAY_ROOT_CERT;
const alipayPublicCert = env.ALIPAY_PUBLIC_CERT;

export const payAlipayConfig = {
  appId,
  privateKey,
  appPublicCert,
  alipayRootCert,
  alipayPublicCert,
};
const showConfig = () => {
  console.log(payAlipayConfig);
};
// showConfig();
const testNotifyUrl = 'https://kevisual.xiongxiao.me/api/s1/pay/notify/alipay';
const prodNotifyUrl = 'https://kevisual.cn/api/s1/pay/notify/alipay';
export const notifyUrl = isDev ? testNotifyUrl : prodNotifyUrl;

log.info('payAlipayConfig', {
  appId,
  isDev,
  notifyUrl,
});
